.section .data
CountDown: .long 0

.section .text
TimerIRQ:
    push %eax
    mov CountDown, %eax
    or %eax, %eax
    jz TimerDone
    dec CountDown
TimerDone:
    pop %eax
    iretd


.globl Sleep
Sleep:
    push %ebp
    mov %ebp, %esp
    mov 8(%ebp), %eax
    mov %eax, CountDown
SleepLoop:
    cli
    mov CountDown, %eax
    or %eax, %eax
    jz SleepDone
    sti
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    jmp SleepLooop
SleepDone:
    sti
    ret

