/******************************************************************************

	COPYRIGHT(C) JONAS 'SORTIE' TERMANSEN 2011.

	This file is part of Sortix.

	Sortix is free software: you can redistribute it and/or modify it under the
	terms of the GNU General Public License as published by the Free Software
	Foundation, either version 3 of the License, or (at your option) any later
	version.

	Sortix is distributed in the hope that it will be useful, but WITHOUT ANY
	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
	FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
	details.

	You should have received a copy of the GNU General Public License along
	with Sortix. If not, see <http://www.gnu.org/licenses/>.

	c++-asm.s
	Implements required C++ stuff for use in the Sortix kernel.

******************************************************************************/

# In all assembly because I didn't bother to look up the source code from libgcc.
.section .text
.globl __divdi3
.type __divdi3, @function
__divdi3:
 8048440:	55                   	push   %ebp
 8048441:	89 e5                	mov    %esp,%ebp
 8048443:	57                   	push   %edi
 8048444:	56                   	push   %esi
 8048445:	83 ec 28             	sub    $0x28,%esp
 8048448:	8b 55 0c             	mov    0xc(%ebp),%edx
 804844b:	8b 45 08             	mov    0x8(%ebp),%eax
 804844e:	8b 75 10             	mov    0x10(%ebp),%esi
 8048451:	8b 7d 14             	mov    0x14(%ebp),%edi
 8048454:	89 55 dc             	mov    %edx,0xffffffdc(%ebp)
 8048457:	8b 4d dc             	mov    0xffffffdc(%ebp),%ecx
 804845a:	89 45 d8             	mov    %eax,0xffffffd8(%ebp)
 804845d:	c7 45 e4 00 00 00 00 	movl   $0x0,0xffffffe4(%ebp)
 8048464:	89 f0                	mov    %esi,%eax
 8048466:	89 fa                	mov    %edi,%edx
 8048468:	85 c9                	test   %ecx,%ecx
 804846a:	0f 88 03 01 00 00    	js     __divdi3_1
 8048470:	85 ff                	test   %edi,%edi
 8048472:	0f 88 e8 00 00 00    	js     __divdi3_2
 8048478:	89 d7                	mov    %edx,%edi
 804847a:	89 c6                	mov    %eax,%esi
 804847c:	8b 55 d8             	mov    0xffffffd8(%ebp),%edx
 804847f:	89 c1                	mov    %eax,%ecx
 8048481:	8b 45 dc             	mov    0xffffffdc(%ebp),%eax
 8048484:	85 ff                	test   %edi,%edi
 8048486:	89 55 f0             	mov    %edx,0xfffffff0(%ebp)
 8048489:	89 45 ec             	mov    %eax,0xffffffec(%ebp)
 804848c:	75 22                	jne    __divdi3_3
 804848e:	39 c6                	cmp    %eax,%esi
 8048490:	77 4e                	ja     __divdi3_4
 8048492:	85 f6                	test   %esi,%esi
 8048494:	0f 84 16 01 00 00    	je     80485b0 <__divdi3+0x170>
 804849a:	8b 45 ec             	mov    0xffffffec(%ebp),%eax
 804849d:	89 fa                	mov    %edi,%edx
 804849f:	f7 f1                	div    %ecx
 80484a1:	89 c6                	mov    %eax,%esi
 80484a3:	8b 45 f0             	mov    0xfffffff0(%ebp),%eax
 80484a6:	f7 f1                	div    %ecx
 80484a8:	89 c1                	mov    %eax,%ecx
 80484aa:	eb 14                	jmp    80484c0 <__divdi3+0x80>
 80484ac:	8d 74 26 00          	lea    0x0(%esi),%esi
__divdi3_3:
 80484b0:	3b 7d ec             	cmp    0xffffffec(%ebp),%edi
 80484b3:	76 3b                	jbe    80484f0 <__divdi3+0xb0>
 80484b5:	31 c9                	xor    %ecx,%ecx
 80484b7:	31 f6                	xor    %esi,%esi
 80484b9:	8d b4 26 00 00 00 00 	lea    0x0(%esi),%esi
 80484c0:	89 c8                	mov    %ecx,%eax
 80484c2:	8b 4d e4             	mov    0xffffffe4(%ebp),%ecx
 80484c5:	89 f2                	mov    %esi,%edx
 80484c7:	85 c9                	test   %ecx,%ecx
 80484c9:	74 07                	je     80484d2 <__divdi3+0x92>
 80484cb:	f7 d8                	neg    %eax
 80484cd:	83 d2 00             	adc    $0x0,%edx
 80484d0:	f7 da                	neg    %edx
 80484d2:	83 c4 28             	add    $0x28,%esp
 80484d5:	5e                   	pop    %esi
 80484d6:	5f                   	pop    %edi
 80484d7:	5d                   	pop    %ebp
 80484d8:	c3                   	ret    
 80484d9:	8d b4 26 00 00 00 00 	lea    0x0(%esi),%esi
__divdi3_4:
 80484e0:	89 d0                	mov    %edx,%eax
 80484e2:	8b 55 ec             	mov    0xffffffec(%ebp),%edx
 80484e5:	f7 f6                	div    %esi
 80484e7:	31 f6                	xor    %esi,%esi
 80484e9:	89 c1                	mov    %eax,%ecx
 80484eb:	eb d3                	jmp    80484c0 <__divdi3+0x80>
 80484ed:	8d 76 00             	lea    0x0(%esi),%esi
 80484f0:	0f bd c7             	bsr    %edi,%eax
 80484f3:	83 f0 1f             	xor    $0x1f,%eax
 80484f6:	89 45 e8             	mov    %eax,0xffffffe8(%ebp)
 80484f9:	0f 84 91 00 00 00    	je     8048590 <__divdi3+0x150>
 80484ff:	b8 20 00 00 00       	mov    $0x20,%eax
 8048504:	89 f2                	mov    %esi,%edx
 8048506:	2b 45 e8             	sub    0xffffffe8(%ebp),%eax
 8048509:	89 c1                	mov    %eax,%ecx
 804850b:	d3 ea                	shr    %cl,%edx
 804850d:	0f b6 4d e8          	movzbl 0xffffffe8(%ebp),%ecx
 8048511:	89 45 f4             	mov    %eax,0xfffffff4(%ebp)
 8048514:	89 f8                	mov    %edi,%eax
 8048516:	89 d7                	mov    %edx,%edi
 8048518:	8b 55 ec             	mov    0xffffffec(%ebp),%edx
 804851b:	d3 e0                	shl    %cl,%eax
 804851d:	09 c7                	or     %eax,%edi
 804851f:	8b 45 f0             	mov    0xfffffff0(%ebp),%eax
 8048522:	d3 e6                	shl    %cl,%esi
 8048524:	0f b6 4d f4          	movzbl 0xfffffff4(%ebp),%ecx
 8048528:	d3 e8                	shr    %cl,%eax
 804852a:	0f b6 4d e8          	movzbl 0xffffffe8(%ebp),%ecx
 804852e:	d3 e2                	shl    %cl,%edx
 8048530:	0f b6 4d f4          	movzbl 0xfffffff4(%ebp),%ecx
 8048534:	09 d0                	or     %edx,%eax
 8048536:	8b 55 ec             	mov    0xffffffec(%ebp),%edx
 8048539:	89 45 d4             	mov    %eax,0xffffffd4(%ebp)
 804853c:	d3 ea                	shr    %cl,%edx
 804853e:	f7 f7                	div    %edi
 8048540:	89 55 d4             	mov    %edx,0xffffffd4(%ebp)
 8048543:	89 c7                	mov    %eax,%edi
 8048545:	f7 e6                	mul    %esi
 8048547:	39 55 d4             	cmp    %edx,0xffffffd4(%ebp)
 804854a:	89 c6                	mov    %eax,%esi
 804854c:	72 7f                	jb     80485cd <__divdi3+0x18d>
 804854e:	3b 55 d4             	cmp    0xffffffd4(%ebp),%edx
 8048551:	74 6d                	je     80485c0 <__divdi3+0x180>
 8048553:	89 f9                	mov    %edi,%ecx
 8048555:	31 f6                	xor    %esi,%esi
 8048557:	e9 64 ff ff ff       	jmp    80484c0 <__divdi3+0x80>
 804855c:	8d 74 26 00          	lea    0x0(%esi),%esi
__divdi3_2:
 8048560:	89 f0                	mov    %esi,%eax
 8048562:	89 fa                	mov    %edi,%edx
 8048564:	f7 d8                	neg    %eax
 8048566:	83 d2 00             	adc    $0x0,%edx
 8048569:	f7 da                	neg    %edx
 804856b:	f7 55 e4             	notl   0xffffffe4(%ebp)
__divdi3_1:
 804856e:	e9 05 ff ff ff       	jmp    8048478 <__divdi3+0x38>
 8048573:	f7 5d d8             	negl   0xffffffd8(%ebp)
 8048576:	83 55 dc 00          	adcl   $0x0,0xffffffdc(%ebp)
 804857a:	f7 5d dc             	negl   0xffffffdc(%ebp)
 804857d:	c7 45 e4 ff ff ff ff 	movl   $0xffffffff,0xffffffe4(%ebp)
 8048584:	e9 e7 fe ff ff       	jmp    8048470 <__divdi3+0x30>
 8048589:	8d b4 26 00 00 00 00 	lea    0x0(%esi),%esi
 8048590:	39 7d ec             	cmp    %edi,0xffffffec(%ebp)
 8048593:	77 09                	ja     804859e <__divdi3+0x15e>
 8048595:	39 75 f0             	cmp    %esi,0xfffffff0(%ebp)
 8048598:	0f 82 17 ff ff ff    	jb     80484b5 <__divdi3+0x75>
 804859e:	b9 01 00 00 00       	mov    $0x1,%ecx
 80485a3:	31 f6                	xor    %esi,%esi
 80485a5:	e9 16 ff ff ff       	jmp    80484c0 <__divdi3+0x80>
 80485aa:	8d b6 00 00 00 00    	lea    0x0(%esi),%esi
 80485b0:	b8 01 00 00 00       	mov    $0x1,%eax
 80485b5:	31 d2                	xor    %edx,%edx
 80485b7:	f7 f6                	div    %esi
 80485b9:	89 c1                	mov    %eax,%ecx
 80485bb:	e9 da fe ff ff       	jmp    804849a <__divdi3+0x5a>
 80485c0:	8b 45 f0             	mov    0xfffffff0(%ebp),%eax
 80485c3:	0f b6 4d e8          	movzbl 0xffffffe8(%ebp),%ecx
 80485c7:	d3 e0                	shl    %cl,%eax
 80485c9:	39 c6                	cmp    %eax,%esi
 80485cb:	76 86                	jbe    8048553 <__divdi3+0x113>
 80485cd:	8d 4f ff             	lea    0xffffffff(%edi),%ecx
 80485d0:	31 f6                	xor    %esi,%esi
 80485d2:	e9 e9 fe ff ff       	jmp    80484c0 <__divdi3+0x80>
 80485d7:	90                   	nop    
 80485d8:	90                   	nop    
 80485d9:	90                   	nop    
 80485da:	90                   	nop    
 80485db:	90                   	nop    
 80485dc:	90                   	nop    
 80485dd:	90                   	nop    
 80485de:	90                   	nop    
 80485df:	90                   	nop    

