/******************************************************************************

	COPYRIGHT(C) JONAS 'SORTIE' TERMANSEN 2011.

	This file is part of Sortix.

	Sortix is free software: you can redistribute it and/or modify it under the
	terms of the GNU General Public License as published by the Free Software
	Foundation, either version 3 of the License, or (at your option) any later
	version.

	Sortix is distributed in the hope that it will be useful, but WITHOUT ANY
	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
	FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
	details.

	You should have received a copy of the GNU General Public License along
	with Sortix. If not, see <http://www.gnu.org/licenses/>.

	gdt-asm.s
	Sets up the Global Descriptor Table.

******************************************************************************/

.globl GDT__Flush
.section .text

.type GDT__Flush, @function # void GDT__Flush(void* GDT)
GDT__Flush:
	mov 4(%esp), %eax
	lgdt (%eax)
    mov $16, %ax # 16 is the offset in the GDT to our data segment.
    mov %ax, %ds
    mov %ax, %es
    mov %ax, %fs
    mov %ax, %gs
    mov %ax, %ss
    ljmp $8, $GDT__Flush_2 # 8 is the offset to our code segment: Far jump!
GDT__Flush_2:
    ret
